#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>

int main(int argc, char **argv) {
   char *newargv[] = {NULL};
   char *newenv[] = {NULL};

   setuid(0);

   int i = execve("./hello_world", newargv, newenv); 
   printf("Could not execute program\n");
   perror("execve");
   return EXIT_SUCCESS;
}
